\name{boxCurve}
\alias{boxCurve}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Draw a Curve between Boxes }
\description{
  Draws a curve between the named rows of the named boxes.
}
\usage{
boxCurve(box1, box2,
         from, to,
         direction = c("right", "up"),
         arrows = arrow(angle = 15,
                        length = unit(2, "mm"),
                        type = "closed"),
         dotSize = unit(1, "mm"),
         dotFill = "white",
         arrowFill = "black")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{box1, box2}{ A box grob or the name of a box grob. }
  \item{from}{ The name of a column in \code{box1}. }
  \item{to}{The name of a column in \code{box2}. }
  \item{direction}{ A character vector of length 2.  The first
    element should be either \code{"right"} or \code{"left"}
    and the second element should be either \code{"up"} or
    \code{"down"}.
  }
  \item{arrows}{ A description of the arrow to be added to the
    curve (as produced by \code{arrow} function).
  }
  \item{dotSize}{ A unit specifying the size of the dot at the
    start of the curve.
  }
  \item{dotFill}{ The colour used to fill the dot at the start
    of the curve.
  }
  \item{arrowFill}{ The colour used to fill the arrowhead on
    the curve.
  }
}
\author{ Paul Murrell }
\seealso{ \code{\link{arrow}} }
\keyword{ dplot }
